import { EventBus, BaseEvent } from '../event';
import { Store } from 'redux';
export declare class ReduxChangeEvent extends BaseEvent<any> {
}
export declare class ReduxListener {
    private eventBus;
    private unsubscribe;
    private store;
    constructor(eventBus: EventBus);
    subscribeReduxStore(store: Store<any>): void;
    unsubscribeReduxStore(): void;
    change(store: Store<any>): void;
    listener: () => void;
}
