import 'reflect-metadata';
import { IocContext, ClassType } from 'power-di';
export declare const PropsKeySymbol = "__$odux";
export declare type DataConnectType = (ioc: IocContext) => any;
interface OduxMetaType {
    connect: {
        [key: string]: DataConnectType;
    };
}
export declare function getMetadata(target: any): OduxMetaType;
export declare function inject<T extends ClassType>(config?: {
    dataType?: InstanceType<T>;
    getter?: (ioc: IocContext) => any;
}): (target: any, key: string) => any;
export {};
