"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function compare(preObj, nxtObj) {
  var before = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';

  if (nxtObj instanceof Object || nxtObj instanceof Array) {
    for (var key in nxtObj) {
      if (nxtObj.hasOwnProperty(key)) {
        var iseq = !!preObj && !!nxtObj && preObj[key] === nxtObj[key];

        if (preObj && nxtObj && preObj[key] && nxtObj[key] && preObj[key] instanceof Function && nxtObj[key] instanceof Function) {
          iseq = false;
        }

        var str = before + '.' + key;

        if (iseq) {
          console.log(str, iseq);
        } else {
          console.info(str, iseq);
        }
      }

      if (preObj instanceof Object || preObj instanceof Array) {
        compare(preObj[key], nxtObj[key], before + '.' + key);
      }
    }
  }
}

exports.compare = compare;