import { IocContext } from 'power-di';
import { Odux } from './Odux';
import { StoreAdapter } from './StoreAdapter';
interface MetaType {
    adapter: StoreAdapter;
}
export declare function getStoreMeta(store: BaseStore): MetaType;
export declare class BaseStore {
    private static excludeKeys;
    protected $aliasName: string;
    protected $prefix: string[];
    constructor(storeOrIoC: Odux | IocContext);
    /** 数据变更方法，推荐把业务逻辑封装在 Store 上独立的方法内 */
    changeData(func: () => void): void;
    /** apply change immediately */
    applyChange(): void;
}
export {};
