import { Odux } from './Odux';
export declare class StoreAdapter {
    private odux;
    private name;
    private prefix;
    private storeKey;
    constructor(odux: Odux, name: string);
    readonly StoreKey: string;
    /** 设置Store别名 */
    setAliasName(value: string): void;
    /** 设置Store在ReduxStore上路径前缀 */
    setPrefix(value: string[]): void;
    /** 获取Store数据 */
    getData(): any;
    /** 批量跟踪 */
    transactionChange(func: (...args: any[]) => void, err?: (data: Error) => void): () => any;
    /** apply change immediately */
    applyChange(): void;
    private readonly storePath;
}
