"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

Object.defineProperty(exports, "__esModule", {
  value: true
});
var hasGroup = !!console.group;

var Debug =
/*#__PURE__*/
function () {
  function Debug() {
    _classCallCheck(this, Debug);

    this.isDebug = false;
    this.warn = console.warn;
    this.error = console.error;
  }

  _createClass(Debug, [{
    key: "trace",
    value: function trace() {
      for (var _len = arguments.length, msg = new Array(_len), _key = 0; _key < _len; _key++) {
        msg[_key] = arguments[_key];
      }

      if (hasGroup) this.isDebug && console.trace.apply(console, msg);
    }
  }, {
    key: "log",
    value: function log() {
      for (var _len2 = arguments.length, msg = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        msg[_key2] = arguments[_key2];
      }

      if (hasGroup) this.isDebug && console.log.apply(console, msg);
    }
  }, {
    key: "info",
    value: function info() {
      for (var _len3 = arguments.length, msg = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
        msg[_key3] = arguments[_key3];
      }

      if (hasGroup) this.isDebug && console.info.apply(console, msg);
    }
  }, {
    key: "group",
    value: function group(msg) {
      if (console.group) this.isDebug && console.group(msg);
    }
  }, {
    key: "groupCollapsed",
    value: function groupCollapsed(msg) {
      if (console.groupCollapsed) this.isDebug && console.groupCollapsed(msg);
    }
  }, {
    key: "groupEnd",
    value: function groupEnd() {
      if (console.groupEnd) this.isDebug && console.groupEnd();
    }
  }]);

  return Debug;
}();

exports.Debug = Debug;